CppBinary (Gradle API 4.3.1)
Date: 2017-11-08

org.gradle.language.cpp

## Interface CppBinary

- All Superinterfaces:
    Named, SoftwareComponent
  All Known Subinterfaces:
    CppExecutable, CppSharedLibrary

      @Incubating
      public interface CppBinary
      extends SoftwareComponent

  A binary built from C++ source and linked from the resulting object files.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Attribute<Boolean>` | `DEBUGGABLE_ATTRIBUTE` The dependency resolution attribute use to indicate whether a binary is debuggable or not.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Provider<String>` | `getBaseName()` Returns the base name of the binary.
    `FileCollection` | `getCompileIncludePath()` Returns the header directories to use to compile this binary.
    `FileCollection` | `getCppSource()` Returns the C++ source files of this binary.
    `FileCollection` | `getLinkLibraries()` Returns the link libraries to use to link this binary.
    `FileCollection` | `getRuntimeLibraries()` Returns the runtime libraries required by this binary.
    `boolean` | `isDebuggable()` Returns true if this binary has debugging enabled.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Field Detail

    - #### DEBUGGABLE_ATTRIBUTE

          static final Attribute<Boolean> DEBUGGABLE_ATTRIBUTE

      The dependency resolution attribute use to indicate whether a binary is debuggable or not.

  - ### Method Detail

    - #### getBaseName

          Provider<String> getBaseName()

      Returns the base name of the binary.

    - #### isDebuggable

          boolean isDebuggable()

      Returns true if this binary has debugging enabled.

    - #### getCppSource

          FileCollection getCppSource()

      Returns the C++ source files of this binary.

    - #### getCompileIncludePath

          FileCollection getCompileIncludePath()

      Returns the header directories to use to compile this binary. Includes the header directories of this binary plus those of its dependencies.

    - #### getLinkLibraries

          FileCollection getLinkLibraries()

      Returns the link libraries to use to link this binary. Includes the link libraries of the component's dependencies.

    - #### getRuntimeLibraries

          FileCollection getRuntimeLibraries()

      Returns the runtime libraries required by this binary. Includes the runtime libraries of the component's dependencies.